# $Revision: 1.18 $, $Date: 2012/01/27 08:34:36 $

%define 	module	ipaddr

Summary:	Python module is useful to manipulate IP addresses (sets)
Summary(pl.UTF-8):	Moduł języka Python do manipulacji adresami IP
Name:		python-%{module}
Version:	2.1.10
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
Source0:	http://ipaddr-py.googlecode.com/files/%{module}-%{version}.tar.gz
# Source0-md5:	f315ac829218e9735c5d772d59a3e0e7
URL:		http://code.google.com/p/ipaddr-py/
BuildRequires:	python
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq 	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is useful if you need to manipulate IP addresses or sets
of IP addresses.

%description -l pl.UTF-8
Moduł języka Python do manipulacji adresami IP.

%prep
%setup -q -n %{module}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}
install *.py $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-ipaddr.spec,v $
Revision 1.18  2012/01/27 08:34:36  zbyniu
- up to 2.1.10

Revision 1.17  2011/06/11 19:22:17  zbyniu
- really noarch, license is Apache, rel 2

Revision 1.16  2011/06/10 20:52:45  zbyniu
- up to 2.1.9; noarch

Revision 1.15  2011/02/21 15:18:41  areq
- 2.1.8

Revision 1.14  2011/01/23 21:10:38  sparky
- added BR: python-modules, rpm-pythonprov

Revision 1.13  2010/07/08 08:15:37  arekm
- release 7

Revision 1.12  2008/10/03 17:51:32  arekm
- release 6

Revision 1.11  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.9  2004/12/25 14:37:51  saq
- release 5 for rebuild with python 2.4

Revision 1.8  2004/08/14 11:29:26  averne
- rel 4

Revision 1.7  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.6  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.5  2003/07/09 17:33:29  marcus
- rel.3. (was 1., rel, 2. are for Ra)

Revision 1.4  2003/05/26 16:25:52  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/10/18 13:09:46  wrobell
- fixed pl description and summary
- COPYING file removed from documentation (known license)
- adapterized
- minor improvements

Revision 1.1  2002/10/18 12:24:46  matkor
- tiny but useful module
